#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Library and tools for reading and converting various non-HTML reflowable e-book formats
Summary(pl.UTF-8):	Biblioteka i narzedzia do odczytu i konwersji różnych formatów e-booków
Name:		libe-book
Version:	0.1.1
Release:	3
License:	LGPL v2.1+ or MPL v2.0+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libebook/%{name}-%{version}.tar.xz
# Source0-md5:	3a46f4dedaadd3f1548c4423a6cdaf25
Patch0:		%{name}-missing.patch
URL:		http://libebook.sourceforge.net/
BuildRequires:	boost-devel
BuildRequires:	doxygen
BuildRequires:	gperf
BuildRequires:	libCSS-devel >= 0.3.0
BuildRequires:	libhubbub-devel >= 0.3.0
BuildRequires:	libicu-devel
BuildRequires:	libmspack-devel
BuildRequires:	libparserutils-devel
BuildRequires:	librevenge-devel >= 0.0
BuildRequires:	libstdc++-devel
BuildRequires:	libwapcaplet-devel
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	libwpd >= 0.9.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libe-book is a library and a set of tools for reading and converting
various non-HTML reflowable e-book formats.

Currently supported are:
- eReader .pdb
- FictionBook v. 2 (including zipped files)
- PalmDoc Ebook
- Plucker .pdb
- QiOO (mobile format, for java-enabled cellphones)
- TCR (simple compressed text format)
- TealDoc
- zTXT
- ZVR (simple compressed text format)

%description -l pl.UTF-8
libe-book to biblioteka i zestaw narzędzi do odczytu i konwersji
różnych nie-HTML-owych, tekstowych formatów e-booków.

Obecnie obsługiwane są:
- eReader .pdb
- FictionBook w wersji 2 (wraz z plikami skompresowanymi zipem)
- PalmDoc Ebook
- Plucker .pdb
- QiOO (format przenośny, dla telefonów z Javą)
- TCR (prosty skompresowany format tekstowy)
- TealDoc
- zTXT
- ZVR (prosty skompresowany format tekstowy)

%package devel
Summary:	Header files for libe-book library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libe-book
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libCSS-devel >= 0.3.0
Requires:	libhubbub-devel >= 0.3.0
Requires:	libicu-devel
Requires:	libmspack-devel
Requires:	librevenge-devel >= 0.0
Requires:	libstdc++-devel
Requires:	libxml2-devel >= 2.0
Requires:	zlib-devel

%description devel
Header files for libe-book library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libe-book.

%package static
Summary:	Static libe-book library
Summary(pl.UTF-8):	Statyczna biblioteka libe-book
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libe-book library.

%description static -l pl.UTF-8
Statyczna biblioteka libe-book.

%package apidocs
Summary:	libe-book API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libe-book
Group:		Documentation

%description apidocs
API documentation for libe-book library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libe-book.

%package tools
Summary:	Tools to transform e-books into other formats
Summary(pl.UTF-8):	Programy przekształcania e-booków do innych formatów
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
Tools to transform e-books into other formats. Currently supported:
HTML, text, raw.

%description tools -l pl.UTF-8
Narzędzia do przekształcania e-booków do innych formatów. Aktualnie
obsługiwane są HTML, tekst i format surowy.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--enable-experimental \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libe-book-*.la
# packaged as %doc in -apidocs
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libe-book

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libe-book-0.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libe-book-0.1.so.1
%{_datadir}/libe-book

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libe-book-0.1.so
%{_includedir}/libe-book-0.1
%{_pkgconfigdir}/libe-book-0.1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libe-book-0.1.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc docs/doxygen/html/*

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ebook2html
%attr(755,root,root) %{_bindir}/ebook2raw
%attr(755,root,root) %{_bindir}/ebook2text
%changelog
* Wed Oct 08 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libe-book.git;a=log;h=master

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ce684f
- release 3 (by relup.sh)

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 40e3c0e
- release 2 (by relup.sh)

* Thu Jun 05 2014 Jakub Bogusz <qboosh@pld-linux.org> a4de6ba
- updated to 0.1.1
- added missing patch (missing files taken from git)

* Sun May 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 3245cf7
- updated to 0.1.0 (now librevenge based; new soname, 0.0.x left on libe-book-0.0 branch)

* Tue Feb 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 2a4b4fb
- updated to 0.0.3

* Sun Nov 17 2013 Jakub Bogusz <qboosh@pld-linux.org> fb3fcfb
- install-time libwpd version

* Sun Nov 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 75545c4
- new

